complexType "EquityStrike"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | strikePrice?, currency?
</...>

Content Model Elements (2):

  currency (defined in EquityStrike complexType), | strikePrice (defined in EquityStrike complexType)

All Direct / Indirect Based Elements (2):

  strike (defined in EquityOption complexType), | strike (in equityOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (2):

  strike (defined in EquityOption complexType), | strike (in equityOptionTransactionSupplement)

Annotation
A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="EquityStrike"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

strikePrice

  Type: | xsd:decimal, predefined, simple content

  The price or level at which the option has been struck.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.